<template>
  <div>
    <div class="titSec">Resultado de Búsqueda</div>
    <v-card style="background-color: #fafafa">
      <div class="gris" style="margin-top: 15px">
        <v-data-table
          :headers="headers"
          :items="items"
          :loading="loading"
          :dense="true"
          :fixed-header="true"
          class="tblGeneral tblAsignacion"
          hide-default-footer
        >
        </v-data-table>
      </div>
    </v-card>
  </div>
</template>

<script>
export default {
  name: "tabla_consulta_descarga_component",
  created() {
    this.cargaDatos(this.value);
  },
  data() {
    return {
      loading: false,
      headers: [
        { text: "Negocio", value: "negocio", align: "center" },
        { text: "Ceco / Sucursal", value: "cecoSucursal", align: "center" },
        { text: "Formato", value: "formato", align: "center" },
        {
          text: "Ultima fecha carga",
          value: "fechaFinalCarga",
          align: "center",
        },
        {
          text: "Nombre del ultimo proyecto",
          value: "nombreProyectoFinal",
          align: "center",
        },
        { text: "No. proyectos", value: "numeroProyectos", align: "center" },
        { text: "No. version", value: "version", align: "center" },
      ],
      items: [],
    };
  },
  props: {
    value: Array,
  },
  methods: {
    cargaDatos(listaTabla) {
      this.items = [];
      listaTabla.map((item) => {
        var nombreCeco = item.nombreCeco ? " / " + item.nombreCeco : "";
        var objeto = {
          negocio: item.nombreNegocio,
          cecoSucursal: item.idCeco + nombreCeco,
          formato: item.nombreFormato,
          fechaFinalCarga: item.Fecha ? item.Fecha : "",
          numeroProyectos: item.conteoProyecto,
          nombreProyectoFinal: item.nombreProyecto,
          version: item.idVersion,
        };
        this.items = this.items.concat(objeto);
      });
    },
  },
};
</script>

